<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
// GiaHan
if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
        $vitri = abs(intval($_GET['vitri']));
        $itemcode = $_GET['item_code'];
		$pass2 = $_GET['pass2'];
		$retimeitemday = abs(intval($_GET['retimeitemday']));
		
		if( $sendsv === false ) { echo "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif (empty($vitri) || empty($itemcode) || empty($pass2) || empty($retimeitemday) ){
			echo "<font size='4' color='red'>Hãy đặt Items vào ô đầu tiền của rương cá nhân.</font>";
		}
		elseif (!preg_match("/^[a-zA-Z0-9_]*$/i", $itemcode)){
			echo "<font color='red'>Dữ liệu lỗi - Items code chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và _.</font><br>";
		}
		elseif (strlen($itemcode) != 32){
			echo "<font color='red'>Dữ liệu lỗi - Items code sai định dạng.</font><br>";
		}
		elseif (!preg_match("/^[a-zA-Z0-9_]*$/i", $pass2)){
			echo "<font color='red'>Dữ liệu lỗi - Mật khẩu chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và _.</font><br>";
		}
		elseif (!preg_match("/^[0-9]*$/i", $vitri)){
			echo "<font color='red'>Dữ liệu lỗi - Vị trí chỉ được sử dụng số 1-9.</font>";
		}
		elseif (!preg_match("/^[0-9]*$/i", $retimeitemday)){
			echo "<font color='red'>Dữ liệu lỗi - Số ngày chỉ được sử dụng số 1-9.</font>";
		}
		else {
			$getcontent_url = $server_url . "/retimeitem.php";
			$getcontent_data = array(
				'login'    =>  $_SESSION['mu_username'],
				'name' => $_SESSION['mu_nvchon'],
				'vitri'    => $vitri,
				'itemcode' => $itemcode,
				'retimeitemday' =>$retimeitemday,
				'action' =>'GiaHan',
				'pass2' =>$pass2,
				'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
			); 
			$show_reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);	
			if( empty($show_reponse) ){
			
				echo "<font size='3' color='red'>Server đang bảo trì</font>";
			}
			else {
				$info = explode("<vweb>",$show_reponse);
				if ($info[1] == 'OK') {
					echo "|OK|$info[2]";
				}
				else{ 
					echo "<font size='4' color='red'>$show_reponse</font>"; 
				}
			}
		}
?>